import {parse} from "next-useragent";
import DashboardReserveLoan from "@/components/dashboard/reserve-loan";

export default function PassengerOffice() {
    return (
        <DashboardReserveLoan/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.reserve_loans",
            isBot,
            locale,
            layout: {name: 'DashboardLayout', props: {permissions: ["manage_reserved_loans"]}}
        },
    };
}
